Skip to main content
`Ctrl`+`K`

# DMShellSetCreateDomainDecompositionScatters

Set the routine used to create the scatter contexts for domain decomposition with a `DMSHELL`

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetCreateDomainDecompositionScatters(DM dm, PetscErrorCode (*scatter)(DM, PetscInt, DM *, VecScatter **, VecScatter **, VecScatter **))

Logically Collective

## Input Parameters

- dm - the `DMSHELL`

- scatter - the routine to create the scatters

## See Also

`DM`, `DMSHELL`, `DMCreateDomainDecompositionScatters()`, `DMShellSetContext()`, `DMShellGetContext()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages